# Checkboxes

Home Search

## Checkboxes

- Basics
- Options
- Methods
- Events

Bind events directly to the `input` element. Use jQuery Mobile's virtual events, or bind standard JavaScript events, like change, focus, blur, etc.:

    $("input[type='checkbox']").bind( "change", function(event, ui) {
      ...
    });

The checkbox plugin has the following custom events:

`create` triggered when a checkbox is created

      $("input[type='checkbox']").checkboxradio({
         create: function(event, ui) { ... }
      });

### More in this section

- Form elements
- Form basics
- Form element gallery
- Mini form element gallery
- Text inputs
- Search input
- Slider
- Flip toggle switch
- Radio buttons
- Checkboxes
- Select menus
- Theming forms
- Native form elements
- Submitting forms